<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>16.0</VCProjectVersion>
    <Keyword>Win32Proj</Keyword>
    <ProjectGuid>{538612f1-6dbc-45d3-812a-1b4a0bb0ff40}</ProjectGuid>
    <RootNamespace>Reversi</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>$(ProjectDir);$(SolutionDir)DxLib_VC3_22c\DxLib_VC\プロジェクトに追加すべきファイル_VC用;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>$(SolutionDir)DxLib_VC3_22c\DxLib_VC\プロジェクトに追加すべきファイル_VC用;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>$(ProjectDir);$(SolutionDir)DxLib_VC3_22c\DxLib_VC\プロジェクトに追加すべきファイル_VC用;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>$(SolutionDir)DxLib_VC3_22c\DxLib_VC\プロジェクトに追加すべきファイル_VC用;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>$(ProjectDir);$(SolutionDir)DxLib_VC3_22c\DxLib_VC\プロジェクトに追加すべきファイル_VC用;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>$(SolutionDir)DxLib_VC3_22c\DxLib_VC\プロジェクトに追加すべきファイル_VC用;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>$(ProjectDir);$(SolutionDir)DxLib_VC3_22c\DxLib_VC\プロジェクトに追加すべきファイル_VC用;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>$(SolutionDir)DxLib_VC3_22c\DxLib_VC\プロジェクトに追加すべきファイル_VC用;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="Game\BattleInfoUi.cpp" />
    <ClCompile Include="Game\BattleLevel.cpp" />
    <ClCompile Include="Game\BootLevel.cpp" />
    <ClCompile Include="Game\Enemy.cpp" />
    <ClCompile Include="Game\EnemyController.cpp" />
    <ClCompile Include="Game\EnemyCursor.cpp" />
    <ClCompile Include="Game\Field.cpp" />
    <ClCompile Include="Game\FinishUi.cpp" />
    <ClCompile Include="Game\GameInfo.cpp" />
    <ClCompile Include="Game\GameMode.cpp" />
    <ClCompile Include="Game\PlaceableCursor.cpp" />
    <ClCompile Include="Game\PlayerCursor.cpp" />
    <ClCompile Include="Game\ResultInfoUi.cpp" />
    <ClCompile Include="Game\ResultLevel.cpp" />
    <ClCompile Include="Game\StartUi.cpp" />
    <ClCompile Include="Game\Stone.cpp" />
    <ClCompile Include="Game\StoneBase.cpp" />
    <ClCompile Include="Game\StoneManager.cpp" />
    <ClCompile Include="Game\TitleLevel.cpp" />
    <ClCompile Include="Game\TurnOverCursor.cpp" />
    <ClCompile Include="Game\TurnSelectMenu.cpp" />
    <ClCompile Include="Main.cpp" />
    <ClCompile Include="System\BackScreen.cpp" />
    <ClCompile Include="System\Cursor.cpp" />
    <ClCompile Include="System\CursorBase.cpp" />
    <ClCompile Include="System\CursorManager.cpp" />
    <ClCompile Include="System\Level.cpp" />
    <ClCompile Include="System\LevelChanger.cpp" />
    <ClCompile Include="System\LogConsole.cpp" />
    <ClCompile Include="System\MenuController.cpp" />
    <ClCompile Include="System\PlayerController.cpp" />
    <ClCompile Include="System\Sound.cpp" />
    <ClCompile Include="System\SoundBase.cpp" />
    <ClCompile Include="System\SoundManager.cpp" />
    <ClCompile Include="System\Task.cpp" />
    <ClCompile Include="System\TaskManager.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Game\BattleInfoUi.h" />
    <ClInclude Include="Game\BattleLevel.h" />
    <ClInclude Include="Game\BattleLevelEventInterface.h" />
    <ClInclude Include="Game\BootLevel.h" />
    <ClInclude Include="Game\BootLevelEventInterface.h" />
    <ClInclude Include="Game\Enemy.h" />
    <ClInclude Include="Game\EnemyController.h" />
    <ClInclude Include="Game\EnemyControllerEventInterfac.h" />
    <ClInclude Include="Game\EnemyCursor.h" />
    <ClInclude Include="Game\EnemyEventInterface.h" />
    <ClInclude Include="Game\Field.h" />
    <ClInclude Include="Game\FinishUi.h" />
    <ClInclude Include="Game\GameInfo.h" />
    <ClInclude Include="Game\GameMode.h" />
    <ClInclude Include="Game\GameModeEventInterface.h" />
    <ClInclude Include="Game\PlaceableCursor.h" />
    <ClInclude Include="Game\PlayerCursor.h" />
    <ClInclude Include="Game\ResultInfoUi.h" />
    <ClInclude Include="Game\ResultLevel.h" />
    <ClInclude Include="Game\ResultLevelEventInterface.h" />
    <ClInclude Include="Game\StartUi.h" />
    <ClInclude Include="Game\Stone.h" />
    <ClInclude Include="Game\StoneBase.h" />
    <ClInclude Include="Game\StoneManager.h" />
    <ClInclude Include="Game\StoneManagerEventInterface.h" />
    <ClInclude Include="Game\TitleLevel.h" />
    <ClInclude Include="Game\TitleLevelEventInterface.h" />
    <ClInclude Include="Game\TurnOverCursor.h" />
    <ClInclude Include="Game\TurnSelectMenu.h" />
    <ClInclude Include="Game\UiEventInterface.h" />
    <ClInclude Include="System\BackScreen.h" />
    <ClInclude Include="System\BackScreenEventInterface.h" />
    <ClInclude Include="System\Common.h" />
    <ClInclude Include="System\Cursor.h" />
    <ClInclude Include="System\CursorBase.h" />
    <ClInclude Include="System\CursorManager.h" />
    <ClInclude Include="System\Level.h" />
    <ClInclude Include="System\LevelChanger.h" />
    <ClInclude Include="System\LogConsole.h" />
    <ClInclude Include="System\MenuController.h" />
    <ClInclude Include="System\MenuControllerEventInterface.h" />
    <ClInclude Include="System\PlayerController.h" />
    <ClInclude Include="System\PlayerControllerEventInterface.h" />
    <ClInclude Include="System\Sound.h" />
    <ClInclude Include="System\SoundBase.h" />
    <ClInclude Include="System\SoundID.h" />
    <ClInclude Include="System\SoundManager.h" />
    <ClInclude Include="System\Task.h" />
    <ClInclude Include="System\TaskID.h" />
    <ClInclude Include="System\TaskManager.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>